---
title: Document.onvisibilitychange
slug: Web/API/Document/onvisibilitychange
tags:
  - API
  - Document
  - Event Handler
  - Page Visibility
  - Property
  - Reference
  - onvisibilitychange
---
<div>{{ApiRef('DOM')}}</div>

<p>The <code><strong>Document.onvisibilitychange</strong></code> property represents the event handler that is called when a {{event("visibilitychange")}} event reaches this object.</p>

<div class="notecard warning">
<p>Safari doesn’t fire the <code><a href="/en-US/docs/Web/API/Document/visibilitychange_event">visibilitychange</a></code> event as expected when <code>visibilityState</code> transitions to <code>hidden</code>; so for that case, you need to also include code to listen for the <code><a href="/en-US/docs/Web/API/Window/pagehide_event">pagehide</a></code> event.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>obj</em>.onvisibilitychange = <em>function</em>;
</pre>

<ul>
 <li><code>function</code> is the name of a user-defined function, without the () suffix or any parameters, or an anonymous function declaration.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">document.onvisibilitychange = function() {
  console.log("Visibility of page has changed!");
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Page Visibility API','#onvisiblitychange-event-handler','onvisibilitychange')}}</td>
   <td>{{Spec2('Page Visibility API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.onvisibilitychange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Page_Visibility_API">Page Visibility API</a></li>
</ul>
